import MD5 from 'crypto-js/md5.js';

/**
 * 生成随机盐
 * @returns
 */
export const getRandomSalt = () => {
  return Math.random().toString().slice(2, 7);
};

/**
 * 加密密码
 * @param password
 * @param salt
 * @returns
 */
export const cryptPwd = (password: string, salt = '') => {
  const saltPassword = password + ':' + salt;
  const md5 = MD5(saltPassword);
  return md5.toString();
};

/**
 * Check password
 * @param password
 * @param salt
 * @param md5
 * @returns
 */
export const checkPwd = (password: string, salt: string, md5: string) => {
  return cryptPwd(password, salt) === md5;
};
