import '../modules/init.ts';
import { User, UserInit } from '../models/user.ts';
import { Org, OrgInit } from '../models/org.ts';
import { useContextKey } from '@kevisual/use-config/context';
const sequelize = useContextKey('sequelize');

export const main = async () => {
  // await UserInit(null ,null, {
  //   alter: true,
  // });
  await UserInit();
  await OrgInit();

  const userList = await User.findAll();
  for (const user of userList) {
    console.log('user', user.id, user.username, user.data);
  }
  process.exit(0);

  // const userlist = await User.findAll();
  // for (const user of userlist) {
  //   // console.log('user', user.id, user.username, user.type, 'alias', user.alias);
  //   if (user.username.startsWith('o-')) {
  //     user.data = {
  //       ...user.data,
  //       wxUnionId: user.username,
  //     };
  //     await user.save();
  //   }
  // }
  process.exit(0);
};
main();
