import * as redisLib from '../modules/redis.ts';
import { useContextKey } from '@kevisual/use-config/context';
const redis = useContextKey('redis', () => redisLib.redis);
import '../modules/init.ts';
import { User, UserInit } from '../models/user.ts';
import { Org, OrgInit } from '../models/org.ts';
const sequelize = useContextKey('sequelize');
let rootToken =
  'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjE0MjA2MzA1LThiNWMtNDRjYy1iMTc3LTc2NmNmZTJlNDUyZiIsInVzZXJuYW1lIjoicm9vdCIsInR5cGUiOiJ1c2VyIiwiaWF0IjoxNzQxMjU3ODAyLCJleHAiOjE3NDE4NjI2MDJ9.JfqiABYBqkMDuFJQ5LcluQR7-EpfoBObFEOau_jKvKk';
export const main = async () => {
  // await UserInit(null ,null, {
  //   alter: true,
  // });
  await UserInit();
  await OrgInit();

  // const root = await User.findOne({
  //   where: {
  //     username: 'root',
  //   },
  // });
  // if (root) {
  //   console.log('root', root.id, root.username);
  //   // const token = await root.createToken();
  //   // console.log('token', token);
  //   const orgs = await root.getOrgs();
  //   console.log('orgs', orgs.length, orgs);
  // }
  const k = await User.getUserByToken(rootToken);
  const has = await k.hasUser('admin');
  console.log('has', has);
  process.exit(0);
};
main();
